export interface token {
  jwt: string;
  expiration: number;
}

export interface LoginResponse {
  expiration: string;
  message: string;
  success: boolean;
  token: string;
}

export interface Site {
  default_prefix: string;
  id?: number;
  name: string;
}

export interface cSite {
  "site-id": number;
}

export interface AccessPoint {
  id: number;
  site_id: number;
  ap_name: string;
  serialnumber: string;
  comment: string;
  group: string;
  location: string;
  mac_address: string;
  model: string;
  appointment: Date;
  new_switchport_id?: any;
  new_userport_id?: any;
  old_switchport_id?: any;
  old_userport_id?: any;
  registered_user_id?: any;
  timestamp_registered?: any;
}

export interface AccessPointCreateResponse {
  "ap-id": number;
}
